import BaseSchema from '@ioc:Adonis/Lucid/Schema'

export default class extends BaseSchema {
  protected tableName = 'log_reports'

  public async up () {
    this.schema.createTable(this.tableName, (table) => {
      table.increments('id_report').primary()
      table.string("detected_content", 200).notNullable()
      table.integer("line", 6).notNullable()
      table.integer("id_file").notNullable()

      /**
       * Uses timestamptz for PostgreSQL and DATETIME2 for MSSQL
       */
      table.timestamp('created_at', { useTz: true })
      table.timestamp('updated_at', { useTz: true })
    })
  }

  public async down () {
    this.schema.dropTable(this.tableName)
  }
}
